//  token 未设置

import axios from "@/utils/axios";
const basePath = "/user";
const zsjPath = "/zsj";


// 获取当前登录用户个人信息
export function getUserList() {
    return axios.get(`${basePath}/orgPermission/getByCurrentLoginUser`);
}
// 根据用户code查询组织关联信息
export function getCodeList(data) {
    return axios.get(`${basePath}/orgPermission/getByCurrentLoginUser`, { data });
}

/* 认证相关服务 -- start */
// 用户登录校验
// 用户登出
export function getUserLogout(params) {
    return axios.get(`${basePath}/user/logout`, { params });
}

// 根据PTK查询用户信息
export function getUserInfoByPTK(ptk) {
    console.log(ptk);
    return axios.get(`${zsjPath}/application/server/validateKeyAndGetUser?tokenKey=` + ptk);
}